|  | Home · All Classes · Modules

# QHelpContentItem Class Reference
[QtHelp module]

The QHelpContentItem class provides an item for use with QHelpContentModel. More...

### Methods

- QHelpContentItem child (self, int)
- int childCount (self)
- int childPosition (self, QHelpContentItem)
- QHelpContentItem parent (self)
- int row (self)
- QString title (self)
- QUrl url (self)

## Detailed Description

The QHelpContentItem class provides an item for use with QHelpContentModel.

## Method Documentation

### QHelpContentItem QHelpContentItem.child (self, int)

Returns the child of the content item in the give row.

See also parent().

### int QHelpContentItem.childCount (self)

Returns the number of child items.

### int QHelpContentItem.childPosition (self, QHelpContentItem)

Returns the position of a given child.

### QHelpContentItem QHelpContentItem.parent (self)

Returns the parent content item.

### int QHelpContentItem.row (self)

Returns the row of this item from its parents view.

### QString QHelpContentItem.title (self)

Returns the title of the content item.

### QUrl QHelpContentItem.url (self)

Returns the URL of this content item.